org.eclipse.mat.internal.acquire

## Class HeapDumpProviderRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<IHeapDumpProvider>
  - - org.eclipse.mat.internal.acquire.HeapDumpProviderRegistry

All Implemented Interfaces:
  org.eclipse.core.runtime.dynamichelpers.IExtensionChangeHandler

    public class HeapDumpProviderRegistry
    extends RegistryReader<IHeapDumpProvider>

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`HeapDumpProviderDescriptor` `getHeapDumpProvider(Class<? extends IHeapDumpProvider> providerClass)`
`HeapDumpProviderDescriptor` `getHeapDumpProvider(String name)`
`Collection<HeapDumpProviderDescriptor>` `getHeapDumpProviders()`
`static HeapDumpProviderRegistry` `instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static HeapDumpProviderRegistry instance()

#### getHeapDumpProviders

    public Collection<HeapDumpProviderDescriptor> getHeapDumpProviders()

#### getHeapDumpProvider

    public HeapDumpProviderDescriptor getHeapDumpProvider(String name)

#### getHeapDumpProvider

    public HeapDumpProviderDescriptor getHeapDumpProvider(Class<? extends IHeapDumpProvider> providerClass)